The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> isastream - test a file descriptor (STREAMS)

#### SYNOPSIS

> ``[XSR] #include <stropts.h>
> int isastream(int` fildes`);``
> `
> `

#### DESCRIPTION

> The isastream() function shall test whether fildes, an open file descriptor, is associated with a STREAMS-based file.

#### RETURN VALUE

> Upon successful completion, isastream() shall return 1 if fildes refers to a STREAMS-based file and 0 if not. Otherwise, isastream() shall return -1 and set errno to indicate the error.

#### ERRORS

> The isastream() function shall fail if:

> [EBADF]
>   The fildes argument is not a valid open file descriptor.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> The Base Definitions volume of IEEE Std 1003.1-2001, <stropts.h>

#### CHANGE HISTORY

> First released in Issue 4, Version 2.

#### Issue 5

> Moved from X/OPEN UNIX extension to BASE.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]